package com.frk.mycode.mutation;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @date 2024/5/14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MyTestCase {
    private String xmlPath;
    private String packagePath;
    private String methodName;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof MyTestCase)) return false;

        MyTestCase that = (MyTestCase) o;

        if (getXmlPath() != null ? !getXmlPath().equals(that.getXmlPath()) : that.getXmlPath() != null) return false;
        if (getPackagePath() != null ? !getPackagePath().equals(that.getPackagePath()) : that.getPackagePath() != null)
            return false;
        return getMethodName() != null ? getMethodName().equals(that.getMethodName()) : that.getMethodName() == null;
    }

    @Override
    public int hashCode() {
        int result = getXmlPath() != null ? getXmlPath().hashCode() : 0;
        result = 31 * result + (getPackagePath() != null ? getPackagePath().hashCode() : 0);
        result = 31 * result + (getMethodName() != null ? getMethodName().hashCode() : 0);
        return result;
    }
}
