package com.frk.mycode.util;

import org.apache.commons.io.FileUtils;

import java.io.File;
import java.io.IOException;

/**
 * @date 2024/5/24
 */
public class FileSolveUtil {
    public static void filterData(String targetPath, String templatePath) {
        File templateFile = new File(templatePath);
        String name = templateFile.getName();
        File bigProjectDir = new File(targetPath);
        int count = 0;
        for (File subProjectFile : bigProjectDir.listFiles(File::isDirectory)) {
            File mooctestPackageFile = new File(subProjectFile.getAbsolutePath() + File.separator + "src" + File.separator + "test" + File.separator + "java" + File.separator + "net" + File.separator + "mooctest");
            File[] listFiles = mooctestPackageFile.listFiles();
            if (listFiles != null && listFiles.length >= 2) continue;
            try {
                File file = new File(mooctestPackageFile, name);
                boolean b = FileUtils.contentEquals(file, templateFile);
                if (b) {
                    count++;
                    System.out.println(subProjectFile + " is null !!!");
                    FileUtils.deleteDirectory(subProjectFile);
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        System.out.println(count);


    }

    public static void main(String[] args) {
        filterData("D:\\learn\\junit-test\\test\\EightQueens", "D:\\learn\\junit-test\\EightQueensTest.java");
    }

}
